
Foreman - Bug #1488

blank root_password in host group breaks automated provisioning

02/08/2012 01:31 PM - Adrian Bridgett

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: 1.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I have a default root password hash set (in Settings) however if I leave the host group root password blank then the host seems to be

given a different root password.

In fact the password it is given is:

$1$foreman$6pLrR7U(rest cut for security)

This is on v0.4.1

Related issues:

Is duplicate of Foreman - Bug #1586: Root password inheritance doesn't seem t... Closed 04/25/2012

History

#1 - 02/09/2012 06:57 AM - Ohad Levy

- Target version set to 1.0

#2 - 05/21/2012 08:54 AM - Ohad Levy

- Difficulty set to trivial

#3 - 06/07/2012 09:09 AM - Ohad Levy

- Status changed from New to Need more information

I was not able to reproduce the issue.

looking at the code, foreman copies the hostgroup password when creating the host (if none already defined).

then, the hostgroup PW is defined that either it exists, or it uses the global PW.

any chance this relates to nesting?

also, any chance you can see if you can reproduce it on 0.5?

#4 - 06/21/2012 04:40 AM - Ohad Levy

- Status changed from Need more information to Closed

Applied in changeset f00eaf0746492189359177eb7a3664a21b79b70f.
